toolzerhub API Docs

List channel playlists

Returns a channel's playlists and channel details. Provide channel_id or channel_username; optional localization, ordering, and pagination fields control results.

1 credit / requestBilled only on success
GET
/v2/youtube/channel/playlists

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

channel_id?string

YouTube channel ID.

channel_username?string

Channel username to use when a channel ID is unavailable.

region_code?string

Two-letter country code used to localize the results.

language_code?string

Language code used to localize text and audio results.

page_cursor?string

Cursor returned by the previous response.

sort_order?string

Result order. Available values: date_added, last_video_added.

Value in

  • "date_added"
  • "last_video_added"
curl -X GET "https://example.com/v2/youtube/channel/playlists" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "data": [      {        "property1": null,        "property2": null      }    ],    "page_cursor": "string",    "meta": {      "channelId": "string",      "title": "string",      "property1": null,      "property2": null    },    "property1": null,    "property2": null  }}